import styled, { css } from "styled-components";
import { tokens } from "./TimePickerGrid.tokens";
export const base = css([
    `display:flex;width:100%;`
]);
export const StyledTimePicker = styled.div.withConfig({
    displayName: "TimePickerGrid.styles__StyledTimePicker",
    componentId: "sc-89c9a685-0"
})([
    `background:var(`,
    `);border-radius:var(`,
    `);width:`,
    `;display:flex;padding:var(`,
    `);flex:1 1 1;gap:var(`,
    `);box-sizing:border-box;position:relative;height:var(`,
    `);`
], tokens.timePickerGridBackground, tokens.timePickerGridBorderRadius, ({ width })=>{
    if (width === 'fullWidth') return '100%';
    if (width === 'fixed' || width === undefined) return `var(${tokens.timePickerGridWidth})`;
    return width;
}, tokens.timePickerGridPadding, tokens.scrollbarWidth, tokens.columnHeight);
